import {connect} from 'react-redux';
import {add_dialog_msg, toggle_loading} from '../../actions';
import IPCamPage from '../../components/AdminPage/IPCam';

const mapStateToProps = (state) => ({
	i18n: state.i18n
});

const mapDispatchToProps = (dispatch, ownProps) => ({
	showDialog: (msg) => {
		dispatch(add_dialog_msg(msg));
	},
    toggleLoading: (flag = false) => {
        dispatch(toggle_loading(flag));
    }
})

export default connect(mapStateToProps, mapDispatchToProps)(IPCamPage);